{% extends "index.html" %}


{% block content %}
      
  <h1 class="titles">
  Payment status
</h1>
  <div class="row">
  <div class="col-md-12">




{% if success %}
    <div class="alert alert-success">
        <strong>Success!</strong> 
         <a href="/units">{{message}}</a>
    </div>
   {% else %}
   {% if cancelled %}
<div class="alert alert-warning">
        <strong>Error</strong> 
         <a href="/payments">{{message}}</a>
    </div>
   {% else %}
   <div class="alert alert-danger">
        <strong>Error</strong> 
         <a href="/payments">{{message}}</a>
    </div>
   {% endif %}
    
   {% endif %}


  </div>

</div>

  {% endblock %}


    {% block scripts %} 
  <script>

      $( document ).ready(function() {
        waitForAuth(); 
      
         $('#server-msg-div').slideUp("slow");
     
      });

          function waitForAuth() {
        if(is_auth == false) {//we want it to match
          console.log("fail")
          setTimeout(waitForAuth, 50);//wait 50 millisecnds then recheck
          return;
        }
       
 
        //prePareCheckout();

        console.log("success")

        //real action
      }

    </script>
    {% endblock %}
